BioShape
Date: 2019-10-22

org.jmol.shapebio

## Class BioShape

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.AtomShape
    - - org.jmol.shapebio.BioShape

-     public class BioShape
      extends AtomShape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `bfactorMax`
    `(package private) int` | `bfactorMin`
    `BioPolymer` | `bioPolymer`
    `short[]` | `colixesBack`
    `private static double` | `eightPiSquared100`
    `(package private) float` | `floatRange`
    `(package private) boolean` | `hasBfactorRange`
    `(package private) int[]` | `leadAtomIndices`
    `Mesh[]` | `meshes`
    `boolean[]` | `meshReady`
    `int` | `modelIndex`
    `int` | `modelVisibilityFlags`
    `Monomer[]` | `monomers`
    `(package private) int` | `range`
    `(package private) BioShapeCollection` | `shape`
    `javajs.util.V3[]` | `wingVectors`

    - ### Fields inherited from class org.jmol.shape.AtomShape

      `ac, atoms, bsSizeDefault, colixes, isActive, mad, mads, monomerCount, paletteIDs`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BioShape(BioShapeCollection shape, int modelIndex, BioPolymer bioPolymer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `calcBfactorRange()`
    `(package private) short` | `calcMeanPositionalDisplacement(int bFactor100)` Calculates the mean positional displacement in milliAngstroms.
    `void` | `falsifyMesh()`
    `private void` | `falsifyNearbyMesh(int index)`
    `void` | `findNearestAtomIndex(int xMouse, int yMouse, Atom[] closest, javajs.util.BS bsNot)`
    `(package private) void` | `getBioShapeState(java.lang.String type, boolean translucentAllowed, java.util.Map<java.lang.String,javajs.util.BS> temp, java.util.Map<java.lang.String,javajs.util.BS> temp2)`
    `private short` | `getMad(int groupIndex, short mad)`
    `java.lang.String` | `getShapeState()`
    `void` | `setAtomClickability()`
    `(package private) void` | `setColixBack(short colix, javajs.util.BS bsSelected)`
    `(package private) void` | `setColixBS(short colix, byte pid, javajs.util.BS bsSelected)`
    `(package private) void` | `setColixes(short[] atomColixes, javajs.util.BS bsSelected)`
    `(package private) void` | `setMad(short mad, javajs.util.BS bsSelected, float[] values)`
    `void` | `setParams(java.lang.Object[] data, int[] atomMap, javajs.util.BS bsSelected)`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bsSelected)`
    `(package private) void` | `setTranslucent(boolean isTranslucent, javajs.util.BS bsSelected, float translucentLevel)`

    - ### Methods inherited from class org.jmol.shape.AtomShape

      `checkColixLength, getInfoAsString, getSize, initModelSet, initShape, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD, setSizeRD2`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setPropS, setShapeSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelIndex

          public int modelIndex

    - #### modelVisibilityFlags

          public int modelVisibilityFlags

    - #### shape

          BioShapeCollection shape

    - #### bioPolymer

          public BioPolymer bioPolymer

    - #### meshes

          public Mesh[] meshes

    - #### meshReady

          public boolean[] meshReady

    - #### colixesBack

          public short[] colixesBack

    - #### monomers

          public Monomer[] monomers

    - #### wingVectors

          public javajs.util.V3[] wingVectors

    - #### leadAtomIndices

          int[] leadAtomIndices

    - #### hasBfactorRange

          boolean hasBfactorRange

    - #### bfactorMin

          int bfactorMin

    - #### bfactorMax

          int bfactorMax

    - #### range

          int range

    - #### floatRange

          float floatRange

    - #### eightPiSquared100

          private static final double eightPiSquared100

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BioShape

          BioShape(BioShapeCollection shape,
                   int modelIndex,
                   BioPolymer bioPolymer)

  - ### Method Detail

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bsSelected)

      Specified by:
        `setProperty` in class `Shape`

    - #### calcBfactorRange

          void calcBfactorRange()

    - #### calcMeanPositionalDisplacement

          short calcMeanPositionalDisplacement(int bFactor100)

      Calculates the mean positional displacement in milliAngstroms.

      http://www.rcsb.org/pdb/lists/pdb-l/200303/000609.html `> -----Original Message----- > From: pdb-l-admin@sdsc.edu [mailto:pdb-l-admin@sdsc.edu] On > Behalf Of Philipp Heuser > Sent: Thursday, March 27, 2003 6:05 AM > To: pdb-l@sdsc.edu > Subject: pdb-l: temperature factor; occupancy > > > Hi all! > > Does anyone know where to find proper definitions for the > temperature factors > and the values for occupancy? > > Alright I do know, that the atoms with high temperature > factors are more > disordered than others, but what does a temperature factor of > a specific > value mean exactly. > > > Thanks in advance! > > Philipp > pdb-l: temperature factor; occupancy Bernhard Rupp br@llnl.gov Thu, 27 Mar 2003 08:01:29 -0800 * Previous message: pdb-l: temperature factor; occupancy * Next message: pdb-l: Structural alignment? * Messages sorted by: [ date ] [ thread ] [ subject ] [ author ] Isotropic B is defined as 8*pi**2. Meaning: eight pi squared =79 so B=79*mean square displacement (from rest position) of the atom. as u is in Angstrom, B must be in Angstrom squared. example: B=79A**2 thus, u=sqrt([79/79]) = 1 A mean positional displacement for atom. See also http://www-structure.llnl.gov/Xray/comp/comp_scat_fac.htm#Atomic for more examples. BR`

      Parameters:
        `bFactor100` -
      Returns:
        ?

    - #### findNearestAtomIndex

          public void findNearestAtomIndex(int xMouse,
                                           int yMouse,
                                           Atom[] closest,
                                           javajs.util.BS bsNot)

      Overrides:
        `findNearestAtomIndex` in class `Shape`

    - #### setMad

          void setMad(short mad,
                      javajs.util.BS bsSelected,
                      float[] values)

    - #### getMad

          private short getMad(int groupIndex,
                               short mad)

    - #### falsifyMesh

          public void falsifyMesh()

    - #### falsifyNearbyMesh

          private void falsifyNearbyMesh(int index)

    - #### setColixBS

          void setColixBS(short colix,
                          byte pid,
                          javajs.util.BS bsSelected)

    - #### setColixBack

          void setColixBack(short colix,
                            javajs.util.BS bsSelected)

    - #### setColixes

          void setColixes(short[] atomColixes,
                          javajs.util.BS bsSelected)

    - #### setParams

          public void setParams(java.lang.Object[] data,
                                int[] atomMap,
                                javajs.util.BS bsSelected)

    - #### setTranslucent

          void setTranslucent(boolean isTranslucent,
                              javajs.util.BS bsSelected,
                              float translucentLevel)

    - #### setAtomClickability

          public void setAtomClickability()

      Overrides:
        `setAtomClickability` in class `AtomShape`

    - #### getBioShapeState

          void getBioShapeState(java.lang.String type,
                                boolean translucentAllowed,
                                java.util.Map<java.lang.String,javajs.util.BS> temp,
                                java.util.Map<java.lang.String,javajs.util.BS> temp2)

    - #### getShapeState

          public java.lang.String getShapeState()

      Overrides:
        `getShapeState` in class `AtomShape`